Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 365643 - app-emulation/virtualbox-additions-4.* License wrongly stated as PUEL
Summary: app-emulation/virtualbox-additions-4.* License wrongly stated as PUEL
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal trivial (vote)
Assignee: Lars Wendler (Polynomial-C)
URL: http://download.virtualbox.org/virtua...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-01 23:21 UTC by Steffen Schaumburg
Modified: 2016-05-21 11:47 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Steffen Schaumburg 2011-05-01 23:21:40 UTC
The license for the additions, at least for v4, is the GPL2. This was said in their IRC channel (not an official statement ofc), and I confirmed it by extracting the amd64-windows additions from the image and looking in license.rtf. That file lists only GPL2, but according to the official download site everything is also available as PUEL.
I can check further files on the image if you wish.

Cheers, Steffen
Comment 1 Lars Wendler (Polynomial-C) gentoo-dev 2011-07-17 10:47:01 UTC
Would be really helpful if we can get an official statement about this.
Comment 2 Steffen Schaumburg 2011-07-17 11:04:36 UTC
Surely the license.rtf in the image is a legally binding statement?
Comment 3 Steffen Schaumburg 2011-07-17 11:08:11 UTC
That's for the GPL2. I don't think its relevant whether the PUEL is still allowed as a choice tbh.
Comment 4 Pablo Cholaky 2011-08-21 19:00:04 UTC
It's GPL-2ized, you can see this here: http://www.virtualbox.org/wiki/Downloads

    VirtualBox platform packages. The binaries are released under the terms of the GPL version 2.
        VirtualBox 4.1.2 for Windows hosts x86/amd64
        VirtualBox 4.1.2 for OS X hosts x86/amd64
        VirtualBox 4.1.2 for Linux hosts
        VirtualBox 4.1.2 for Solaris hosts x86/amd64 

Please someone with access modify the PUEL license requeriment
Comment 5 Pablo Cholaky 2011-08-21 19:00:32 UTC
requirement*
Comment 6 Lars Wendler (Polynomial-C) gentoo-dev 2013-06-18 12:09:47 UTC
+  18 Jun 2013; Lars Wendler <polynomial-c@gentoo.org>
+  virtualbox-additions-4.1.24.ebuild, virtualbox-additions-4.1.26.ebuild,
+  virtualbox-additions-4.2.10.ebuild, virtualbox-additions-4.2.12.ebuild:
+  Fixed license as reported in the long overdue bug #365643 by Steffen
+  Schaumburg.
+